## org.apache.commons.collections.buffer
Class UnmodifiableBuffer

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.buffer.AbstractBufferDecorator
              org.apache.commons.collections.buffer.UnmodifiableBuffer

All Implemented Interfaces:
  Buffer, Collection, Serializable, Unmodifiable

public final class UnmodifiableBuffer
extends AbstractBufferDecorator
implements Unmodifiable, Serializable

Decorates another `Buffer` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.7 $ $Date: 2004/06/02 21:57:03 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Method Summary
`boolean` `add(Object object)`
`boolean` `addAll(Collection coll)`
`void` `clear()`
`static Buffer` `decorate(Buffer buffer)` Factory method to create an unmodifiable buffer.
`Iterator` `iterator()`
`Object` `remove()` Gets and removes the next object from the buffer.
`boolean` `remove(Object object)`
`boolean` `removeAll(Collection coll)`
`boolean` `retainAll(Collection coll)`

Methods inherited from class org.apache.commons.collections.buffer.AbstractBufferDecorator
`get, getBuffer`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Method Detail

### decorate

    public static Buffer decorate(Buffer buffer)

  Factory method to create an unmodifiable buffer.

  If the buffer passed in is already unmodifiable, it is returned.

  Parameters:
    `buffer` - the buffer to decorate, must not be null
  Returns:
    an unmodifiable Buffer
  Throws:
    `IllegalArgumentException` - if buffer is null

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### add

    public boolean add(Object object)

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(Collection coll)

  Specified by:
    `addAll` in interface `Collection`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(Object object)

  Specified by:
    `remove` in interface `Collection`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(Collection coll)

  Specified by:
    `removeAll` in interface `Collection`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(Collection coll)

  Specified by:
    `retainAll` in interface `Collection`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### remove

    public Object remove()

  Description copied from interface: `Buffer`
  Gets and removes the next object from the buffer.

  Specified by:
    `remove` in interface `Buffer`
  Overrides:
    `remove` in class `AbstractBufferDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.